﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;
using System.ServiceModel;

namespace NewsInterface
{
    [ServiceContract]
    public interface INewsInterface
    {
        /// <summary>
        /// 添加一条新闻
        /// </summary>
        /// <param name="dto">新闻实体</param>
        /// <returns>添加成功后返回添加成功后的ID</returns>
        [OperationContract]
        int NewsAdd(NewsDto dto);

        /// <summary>
        /// 删除一条新闻
        /// </summary>
        /// <param name="dto">新闻实体</param>
        /// <returns>是否删除成功</returns>
        [OperationContract]
        bool NewsDelete(NewsDto dto);

        /// <summary>
        /// 更新一条新闻
        /// </summary>
        /// <param name="dto">新闻实体</param>
        /// <returns>是否更新成功</returns>
        [OperationContract]
        bool NewsUpdate(NewsDto dto);

        /// <summary>
        /// 获得所有新闻
        /// </summary>
        /// <returns>返回新闻列表</returns>
        [OperationContract]
        List<NewsDto> NewsList();

        /// <summary>
        /// 根据ID获得新闻的图片
        /// </summary>
        /// <param name="Id">新闻编号</param>
        /// <returns>新闻相关联的图片</returns>
        [OperationContract]
        byte[] GetNewsImage(string Id);

    }
}
