﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;
using System.ServiceModel;

namespace NewsInterface
{
    [DataContract]
    public class NewsDto
    {
        /// <summary>
        /// 新闻标题
        /// </summary>
        [DataMember]
        public string NewsTitle { get; set; }

        /// <summary>
        /// 新闻内容
        /// </summary>
        [DataMember]
        public string Content { get; set; }

        /// <summary>
        /// 新闻类型，这里顺便演示下枚举
        /// </summary>
        [DataMember]
        public NewsTypeEnum NewsType { get; set; }

        /// <summary>
        /// 发布时间
        /// </summary>
        [DataMember]
        public DateTime publishTime { get; set; }

        /// <summary>
        /// 最后更新时间
        /// </summary>
        [DataMember]
        public DateTime LastUpdateTime { get; set; }

        /// <summary>
        /// 作者
        /// </summary>
        [DataMember]
        public string Author { get; set; }

        /// <summary>
        /// 最后修改作者
        /// </summary>
        [DataMember]
        public string LastAuthor { get; set; }

        /// <summary>
        /// 阅读量
        /// </summary>
        [DataMember]
        public int ReadCount { get; set; }
    }
}
